<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
    //tipos de datos
    
    //numero
    //entero
    //var edad =25
    //float
    //var pesos =85.7
    
    //String - cadenas
    // var nombre ="roberto";
    // var apellido="Alcantara";
    // var texo='ahorita vemos como lo hago \"ni sabes\" ';
    // document.write(nombre + " "+ apellido);  
    
    
    //Arreglo - Arreglo
    // var amigos=["Roberto","Luis","Carlos",];
    // document.write(amigos[0]);
    
    //object - objeto
    // var objeto={
    //     color: "black";
    //     size:12;
    // }    
    
    //Boolean
    //solo almacenan true y false
    
    //undefined
    // var r;
    // document.write(r);
    
    //null
    //cuando quieres un valor nulo  
    // var numero2=10;
    // var numero2=null;
    
    
    //nan
    //valores invalidos cuando intantes hacer oparaciones invalidas 
    var textto="hola como estas"


    </script>
</body>
</html>